




---@type string directory of the mod.
local modDirectory = g_currentModDirectory or ""
---@type string name of the mod.
local modName = g_currentModName or "unknown"

---Init the mod.
local function init()
print("AutomaticCarWash main.init");
    g_placeableSpecializationManager:addSpecialization("AutomaticCarWash", "AutomaticCarWash", modDirectory .. "scripts/AutomaticCarWash.lua", nil)
    
    -- load event
    -- local path = modDirectory .. "scripts/SpawnPalletsAtSiloEvent.lua";
    -- source(path)
end

init()